org.apache.hc.client5.http.impl.cookie

## Class RFC6265StrictSpec

- java.lang.Object
- - org.apache.hc.client5.http.impl.cookie.RFC6265CookieSpec
  - - org.apache.hc.client5.http.impl.cookie.RFC6265StrictSpec

All Implemented Interfaces:
  CookieSpec

    @ThreadSafe
    public class RFC6265StrictSpec
    extends RFC6265CookieSpec

Standard `CookieSpec` implementation that enforces syntax and semantics of the well-behaved profile of the HTTP state management specification (RFC 6265, section 4).

Since:
  4.4

### Constructor Summary

Constructors
Constructor and Description
`RFC6265StrictSpec()`

### Method Summary

Methods
`String` `toString()`

### Methods inherited from class org.apache.hc.client5.http.impl.cookie.RFC6265CookieSpec

`formatCookies, match, parse, validate`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### RFC6265StrictSpec

    public RFC6265StrictSpec()

### Method Detail

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`